import { EventEmitter } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { AuthenticationServiceConfig } from './../model/authentication.service.config';
import { SharePointService } from './../../sharepoint/services/sharepoint.service';
export declare class AuthenticationService {
    private http;
    private sharePointService;
    private authenticationApiUrl;
    authenticatedChanged: EventEmitter<boolean>;
    authenticatingChanged: EventEmitter<boolean>;
    authenticating: boolean;
    authenticated: boolean;
    authenticatedUser: {
        admin: boolean;
        accountName: string;
        displayName: string;
        distinguishedName: string;
        employeeNumber: string;
        photoUrl?: string;
        memberOf?: string;
    };
    constructor(config: AuthenticationServiceConfig, http: HttpClient, sharePointService: SharePointService);
    login(username: string, password: string, adminGroup?: string): void;
    logout(): void;
    private validateUser(token);
    private getPhoto();
    private checkForExistingToken();
}
